|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QSqlDriverCreator Class Reference

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type. More...

    #include <QSqlDriverCreator>

Part of the QtSql module.

Inherits QSqlDriverCreatorBase.

- List of all members, including inherited members

### Additional Inherited Members

- 1 public function inherited from QSqlDriverCreatorBase

## Detailed Description

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type.

QSqlDriverCreator<T> instantiates objects of type T, where T is a QSqlDriver subclass.

See QSqlDatabase::registerSqlDriver() for details.